%define		upstream_name_scheme %{name}-scheme
%define		major 0

%define libname %mklibname %{upstream_name_scheme} %{major}

Name:		chibi
Version:	0.8
Release:	%mkrel 3
Summary:	A small-footprint library for use as a C Extension Language
Source0:	https://github.com/ashinn/%{upstream_name_scheme}/archive/%{version}.tar.gz
Group:		Development/Tools
License:	BSD
URL:		https://code.google.com/p/chibi-scheme/
Provides:	%{upstream_name_scheme} = %{version}-%{release}

%description
%{name} is a very small library intended for use as an extension
and scripting language in C programs.  In addition to support for
lightweight VM-based threads, each VM itself runs in an isolated heap
allowing multiple VMs to run simultaneously in different OS threads.

%package	-n %{libname}
Summary:	A small-footprint library for use as a C Extension Language
Group:		Development/Tools

%description	-n %{libname}
%{name} is a very small library intended for use as an extension
and scripting language in C programs.  In addition to support for
lightweight VM-based threads, each VM itself runs in an isolated heap
allowing multiple VMs to run simultaneously in different OS threads.

%package	devel
Summary:	Development files for the %{name} package
Group:		Development/Tools
Provides:	%{upstream_name_scheme}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description	devel
This package contains development and include files for the
%{name} package.


%prep
%setup -qn %{upstream_name_scheme}-%{version}

%build
make	PREFIX=%{_prefix} LIBDIR=%{_libdir} SOLIBDIR=%{_libdir} \
	BINMODDIR=%{_libdir}/%{name} CFLAGS="%{optflags}" \
	LDFLAGS="%{ldflags}" XLIBS=-lm all

%install
make	PREFIX=%{_prefix} LIBDIR=%{_libdir} SOLIBDIR=%{_libdir} \
	BINMODDIR=%{_libdir}/%{name} DESTDIR=%{buildroot} install

%files
%doc AUTHORS COPYING README.md
%{_mandir}/man1/%{name}-*.1*
%{_bindir}/%{name}-*
%{_bindir}/snow-%{name}{,.*}
%{_libdir}/%{name}
%{_datadir}/%{name}

%files -n %{libname}
%{_libdir}/libchibi-scheme.so.%{major}{,.*}

%files devel
%{_includedir}/%{name}
%{_libdir}/libchibi-scheme.so
%{_libdir}/pkgconfig/%{upstream_name_scheme}.pc


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.8-3.mga8
+ Revision: 1511290
- Mageia 8 Mass Rebuild

* Sat Sep 22 2018 umeabot <umeabot> 0.8-2.mga7
+ Revision: 1296120
- Mageia 7 Mass Rebuild

* Fri Mar 23 2018 kekepower <kekepower> 0.8-1.mga7
+ Revision: 1211717
- Update to version 0.8

* Wed Mar 30 2016 pterjan <pterjan> 0.7.3-1.mga6
+ Revision: 996528
- Update to 0.7.3

* Wed Feb 03 2016 umeabot <umeabot> 0.6.1-7.mga6
+ Revision: 933598
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6.1-6.mga5
+ Revision: 750028
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 0.6.1-5.mga5
+ Revision: 725031
- rebuild for bogus file deps

* Thu Sep 18 2014 umeabot <umeabot> 0.6.1-4.mga5
+ Revision: 693594
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.6.1-3.mga5
+ Revision: 678375
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.6.1-2.mga4
+ Revision: 530257
- Mageia 4 Mass Rebuild

* Sun Jul 21 2013 malo <malo> 0.6.1-1.mga4
+ Revision: 456893
- disable parallel build
- Initial package prepared by marja, help by kamil

